> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/guides/orders/create-orders/place-a-new-order-from-the-abandoned-cart.md).

# Place a new order from the abandoned cart

If you already have an abandoned cart left by a client, you can place it as an order with a [Convert abandoned cart to order](/api-reference/rest-api/orders/abandoned-carts/convert-abandoned-cart-to-order.md) API call.

Such orders **cannot be paid online**, so we recommend using this method for pickup orders with in-store payment (offline payment methods) only.

### Find abandoned cart ID

To place an order from the cart left by a customer, you need to find the abandoned cart ID.

If you know the customer's email, use the following example:

{% code overflow="wrap" %}

```http
GET /api/v3/STOREID/carts?responseFields=items(cartId,createTimestamp,updateTimestamp)&email=EMAIL HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

{% endcode %}

Change `STOREID` with your store ID, `EMAIL` with the customer's email, and the `secret_token` with the secret access token of your app.

In response, you'll receive a JSON with matching cart IDs and dateimes:

```json
{
    "items": [
        {
            "cartId": "B93F4091-E808-473D-8979-30438FC2157B",
            "createTimestamp": 1724226729,
            "updateTimestamp": 1724226729
        },
        {
            "cartId": "DD440495-5F2D-4FEC-A554-C82DBB572BC0",
            "createTimestamp": 1668073193,
            "updateTimestamp": 1668080426
        },
        {
            "cartId": "6BCD46F1-3F8D-4DAA-BB4C-D878CFA0381A",
            "createTimestamp": 1623922316,
            "updateTimestamp": 1623922316
        }
    ]
}
```

If you can't identify a specific cart by the datetime, add more fields to `responseFields` list or remove the param to get full cart details.&#x20;

Find all supported query params for searching abandoned carts in the [API reference](/api-reference/rest-api/orders/abandoned-carts/search-abandoned-carts.md#query-params).

### Place an order using abandoned cart ID

Upon receiving the `cartId`, use it to place the abandoned cart as an order with the following API call:

```http
POST /api/v3/STOREID/carts/CARTID/place HTTP/1.1
Host: app.ecwid.com
Authorization: Bearer secret_token
```

Change `STOREID` with your store ID, `CARTID` with the abandoned cart ID received in the previous request, and the `secret_token` with the secret access token of your app.

In response, you'll receive the ID of the new order:

```json
{
    "id": "E3LUE",
    "orderNumber": 513995782,
    "vendorOrderNumber": "E3LUE"
}
```

where:

* `id` – **Order ID** visible to the store owner and customers in Ecwid admin and notifications.
* `orderNumber` and `vendorOrderNumber` – Deprecated fields for old applications. Use `id` field instead.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/guides/orders/create-orders/place-a-new-order-from-the-abandoned-cart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
